RASSPLIT(1NCARG)

NAME
rassplit - split a multi-frame rasterfile into single-frame rasterfiles.

SYNOPSIS
rassplit [-f f1 f2 f3 ...] [-ofmt output-format] [-verbose] [-Version] rasterfile

DESCRIPTION

The program rassplit will open rasterfile and copy each frame to it's own separate output file. By default, all frames are extracted but the user can optionally request a specific set of frames using the -f option. The output format defaults to be the same as the input format, but the user can also optionally select a new output format using the -ofmt option.

The names of the output rasterfiles are derived from the name of the source rasterfile, the output format, and the frame numbers. The examples given below will demonstrate this.

OPTIONS

-f f1 f2 f3 ...
    This option allows the user to specify a list of frames to be extracted from the input rasterfile.

-ofmt output-format
    The user can specify output-format to be the desired format e.g. hdf, rgb, etc.

-help
    Print help information.

-verbose
    Print a message each time an output rasterfile is written.

-Version
    Print the version number.

EXAMPLES

Assume you have a file called 'temp.nrif' that has three frames and that you'd like to split it into three separate frames, also in NRIF format.

rassplit temp.nrif

This will result in three output files named temp.0001.nrif, temp.0002.nrif, and temp.003.nrif.

Assume you only want frames two and three, and you want them produced in HDF format instead of NRIF.

rassplit -fmt hdf -f 2 3 temp.nrif

This will result in two output files named temp.0001.hdf and temp.0002.hdf.

CAVEATS
If you're splitting an HDF file, ask for a non-HDF output format. Otherwise you'll just get the first frame over and over again.

SEE ALSO

rasview(1NCARG),rascat(1NCARG),rasls(1NCARG), rasgetpal(1NCARG),ras_formats(5NCARG),ras_palette(5NCARG)

Hardcopy: NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research

The use of this Software is governed by a License Agreement.